@use "sass:map";
@import "../init";

// ============================================================================
// Dock Regions
// - Drupal Regions for docked blocks
// - Basically used for our highlight news floating message
// ============================================================================

.dock-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: var(--bs-spacer-2);
  position: fixed;
  z-index: $zindex-sticky;
  padding: var(--bs-spacer-2);
  pointer-events: none;
  > * {
    pointer-events: all;
  }
  &--bottom-left {
    bottom: 0;
    left: 0;
  }
}
